@import url("dommenu.css");
/*
   $Id: site.css,v 1.188 2009/05/23 14:18:53 rwhalb Exp $

   CSS file for the NST web site
*/








body {
  font-family: "Trebuchet MS", Tahoma, "Liberation Sans", sans-serif;
  font-size: 12pt;
  color: black;
  background-color: #f5f5dc;
  border-style: solid;
  line-height: normal;
  height: auto;
  width: 100%;

  margin-top: 0px;
  border-top-width: 0px;
  padding-top: 0em;
  padding-bottom: 0em;
  border-bottom-width: 0px;
  margin-bottom: 0px;

  margin-left: 0em;
  border-left-width: 0px;
  padding-left: 0em;
  padding-right: 0em;
  border-right-width: 0px;
  margin-right: 0em;

  overflow: auto;
}

/* Use floatLeft/floatRight to put text on left side and right side.
   NOTE: Containing element MUST have position set to 0.

  <div class="fullWidth">
    <div class="floatLeft">Left</div>
    <div class="floatRight">Right</div>
  </div>
*/

.floatLeft {
  text-align: left;

  position: absolute;
  top: auto;
  bottom: 0px;
  right: auto;
  left: 0px;
}

.floatRight {
  text-align: right;

  position: absolute;
  top: auto;
  bottom: 0px;
  right: 0px;
  left: auto;
}

/* Use this to wrap tables or other HTML block entities that over sub-scribe
   the width */

div.fullWidth {
  /* Enable other elements to position themselves using absolute coordinates */
  position: relative;

  border-style: none;

  margin-left: 0px;
  border-left-width: 0px;
  padding-left: 0px;
  width: 100%;
  padding-right: 0px;
  border-right-width: 0px;
  margin-right: 0px;
}

h1 {
  font-size: 200%;
  font-weight: bold;
  color: black;

  text-align: left;
  border-top-color: #111188;
  border-bottom-color: #111188;
  margin-top: 7mm;
  margin-bottom: 1mm;
  border-style: solid;
  border-top-width: 0px;
  border-right-width: 0px;
  border-bottom-width: 4px;
  border-left-width: 0px;
}

/* Used for text which appears on navigation header lines */
.navheadertext,
h1.bodyHeader, h2.bodyHeader, h3.bodyHeader,
h1.noteHeader, h2.noteHeader, h3.noteHeader {
  font-family: "Trebuchet MS", Tahoma, "Liberation Sans", sans-serif;
  font-size: 18pt;
  font-weight: bold;
  text-align: left;

  color: black;

  border-top-color: #111188;
  border-bottom-color: #111188;
  border-style: solid;

  margin-top: 4pt;
  border-top-width: 0px;
  padding-top: 0em;
  height: auto;
  padding-bottom: 1px;
  border-bottom-width: 3px;
  margin-bottom: 2pt;

  margin-left: 0em;
  border-left-width: 0px;
  padding-left: 0em;
  width: 100%;
  padding-right: 0em;
  border-right-width: 0px;
  margin-right: 0em;

}

h1.noteHeader, h1.bodyHeader {
  margin-top: .7em;
}

h2.noteHeader, h2.bodyHeader {
  font-size: 18pt;
  border-bottom-width: 2px;
  margin-top: .6em;
}

h3.noteHeader, h3.bodyHeader {
  font-size: 16pt;
  border-bottom-width: 1px;
  margin-top: .5em;
}

div.noteHeaderLeft, div.bodyHeaderLeft {
  text-align: left;
  padding: 0;
  margin: 0;
  float: left;
/*  font-variant: small-caps; */
}

img.noteIconRight, img.noteIconLeft, img.noteOpenCloseIconLeft,
img.bodyIconRight, img.bodyIconLeft, img.bodyOpenCloseIconLeft {
  margin-left: 4px;
  margin-bottom: 2px;
  vertical-align: bottom;
  border-style: none;
  cursor: pointer;
}

img.noteIconRighti:hover, img.noteIconLeft:hover, img.noteOpenCloseIconLeft:hover,
img.bodyIconRight:hover, img.bodyIconLeft:hover, img.bodyOpenCloseIconLeft:hover {
  opacity: 0.6;
}

img.noteIconLeft, img.bodyIconLeft {
  margin-left: 0px;
  margin-right: 4px;
}

img.noteIconLeft:hover, img.bodyIconLeft:hover {
  opacity: 0.6;
}

img.noteOpenCloseIconLeft, img.bodyOpenCloseIconLeft {
  display: inline;
/*  float: left; */
  margin: 0;
  padding: 0;
  vertical-align: baseline;
  margin-left: .2em;
  margin-right: .2em;
}

img.noteOpenCloseIconLeft:hover, img.bodyOpenCloseIconLeft:hover {
  opacity: 0.6;
}

/* Used for left side of welcome area. */
.newsArea {
  color: black;
  background-color: #eeeeee;
  margin-top: 4pt;
  margin-bottom: 2pt;
  text-align: left;
  max-width: 700px;
  overflow: hidden;
}

/* Used for header text which appears on welcome right frame */
.featuresArea {
  color: black;
  background-color: #eeeeaa;

  text-align: left;
  margin-top: 2pt;
  margin-bottom: 3pt;
}

.featuresHeader {
  width: 100%;

  font-size: 150%;
  font-weight: bold;
  line-height: normal;
  text-align: center;

  border-color: #111188;
  border-style: solid;
  border-top-width: 0px;
  border-right-width: 0px;
  border-bottom-width: 3px;
  border-left-width: 0px;

  padding-bottom: 3px;
  margin-bottom: 3px;
}

td.featuresHeader {
  width: auto;
  border-style: none;
  padding-bottom: 0px;
}

.featuresEntry {

}

H2 .h2 {
  font-size: 175%;
  font-weight: bold;
  color: black;
  text-align: left;
  margin-top: 5mm;
  margin-bottom: 1mm;
  border-top-color: #111188;
  border-bottom-color: #111188;
  border-style: solid;
  border-top-width: 0px;
  border-right-width: 0px;
  border-bottom-width: 3px;
  border-left-width: 0px;
}

H3 {
  font-size: 150%;
  font-weight: bold;
  color: black;
  text-align: left;
  margin-top: 3mm;
  margin-bottom: 1mm;
  border-top-color: #111188;
  border-bottom-color: #111188;
  border-style: solid;
  border-top-width: 0px;
  border-right-width: 0px;
  border-bottom-width: 2px;
  border-left-width: 0px;
}

h4 {
  font-size: 125%;
  font-weight: bold;
  color: black;
  text-align: left;
  margin-top: 2mm;
  margin-bottom: 1mm;
  border-top-color: #111188;
  border-bottom-color: #111188;
  border-style: solid;
  border-top-width: 0px;
  border-right-width: 0px;
  border-bottom-width: 2px;
  border-left-width: 0px;
}

/* IE - remove space on bottom of all forms */
form {
  margin-top: 0em;
  border-top-width: 0px;
  padding-top: 0em;
  height: auto;
  padding-bottom: 0em;
  border-bottom-width: 0px;
  margin-bottom: 0em;

  margin-left: 0em;
  border-left-width: 0px;
  padding-left: 0em;
  width: auto;
  padding-right: 0em;
  border-right-width: 0px;
  margin-right: 0em;
}

.googleTitle {
  color: black;
  text-align: left;
  font-weight: bold; 
  font-size: 24pt;
  padding-top: 0px;
  padding-right: 0px;
  padding-bottom: 0px;
  padding-left: 0px;
  margin-bottom: 0px;
  margin-top: 0px;
  margin-right: 0px;
  margin-left: 0px;
  border-style: solid;
  border-bottom-color: #111188;
  border-bottom-width: 0px;
  border-top-width: 0px;
  border-left-width: 0px;
  border-right-width: 0px;
}

.tstyle {
  position: relative;

  font-size: 18pt;
  font-weight: bold;
  text-align: left;

  color: black;

  border-top-color: #111188;
  border-bottom-color: #111188;
  border-style: solid;

  margin-top: 2px;
  border-top-width: 0px;
  padding-top: 0em;
  height: auto;
  padding-bottom: 0.0em;
  border-bottom-width: 4px;
  margin-bottom: 2px;

  margin-left: 0em;
  border-left-width: 0px;
  padding-left: 0.2em;
  width: auto;
  padding-right: 0em;
  border-right-width: 0px;
  margin-right: 0em;
}

.fstyle, .fstyle:visited, .fstyle:hover {
  font-family: "Trebuchet MS", Tahoma, "Liberation Sans", sans-serif;
  font-size: 10pt;
  color: white;
  background-color: #000030;
  text-decoration: none;
  padding: 0;
  margin: 0;
}

.hstyle {
  color: white;
  background-color: #000030;
  margin: 0;
  padding: 0;
}

.sstyle {
  font-family: "Trebuchet MS", Tahoma, "Liberation Sans", sans-serif;
  color: white;
  background-color: #000030;
  font-size: 10pt;
  font-weight: normal;
  border-top-color: #111188;
  border-bottom-color: #111188;
  padding-top: 0px;
  padding-right: 0px;
  padding-bottom: 0px;
  padding-left: 0px;
  border-style: solid;
  border-top-width: 0px;
  border-right-width: 0px;
  border-bottom-width: 0px;
  border-left-width: 0px;
}

.horizontalLine {
  font-size: 0pt;
  color: black;
  background-color: #111188;
  width: 100%;
  height: 2px;
  margin: 0;
  padding: 0;
  border-style: none;
}

HR {
  color: black;
  background: #111188;
  height: 3px;
}

p, div.paragraph {
  color: black;

  margin-top: .2em;
  border-top-width: 0px;
  padding-top: 0em;
  height: auto;
  padding-bottom: 0em;
  border-bottom-width: 0px;
  margin-bottom: .2em;

  margin-left: .3em;
  border-left-width: 0px;
  padding-left: 0em;
  width: auto;
  padding-right: 0em;
  border-right-width: 0px;
  margin-right: .3em;
}

A {
  color: #111188;
  text-decoration: none;
}

A:VISITED {
  text-decoration: none;
}

A:HOVER {
  color: #0000ff;
  text-decoration: underline;
}

A:ACTIVE {
  text-decoration: none;
}

ul {
  color: black;
}

th {
  color: #f5f5dc;
  background-color: #111188;
}

td {
  color: black;
}

table.evenOdd {
  
  border-style: solid;
  border-color: white #adaa9c #adaa9c white;
  border-width: 1px;
  border-spacing: 2px 2px;
  border-collapse: separate;

}

td.even {
  color: black;
  background-color: white;
  padding-left: 2px;

  
  border-style: solid;
  border-color: #adaa9c white white #adaa9c;
  border-width: 1px;
  border-spacing: 2px 2px;
  border-collapse: separate;

}

td.evenover {
  color: black;
  background-color: #ffff99;
  padding-left: 2px;

  
  border-style: solid;
  border-color: #adaa9c white white #adaa9c;
  border-width: 1px;
  border-spacing: 2px 2px;
  border-collapse: separate;

}

td.evenoverbright {
  color: black;
  background-color: #ffff00;
  padding-left: 2px;

  
  border-style: solid;
  border-color: #adaa9c white white #adaa9c;
  border-width: 1px;
  border-spacing: 2px 2px;
  border-collapse: separate;

}

td.odd {
  color: black;
  background-color: #e0e0e0;
  padding-left: 2px;

  
  border-style: solid;
  border-color: #adaa9c white white #adaa9c;
  border-width: 1px;
  border-spacing: 2px 2px;
  border-collapse: separate;

}

td.oddover {
  color: black;
  background-color: #ffff99;
  padding-left: 2px;

  
  border-style: solid;
  border-color: #adaa9c white white #adaa9c;
  border-width: 1px;
  border-spacing: 2px 2px;
  border-collapse: separate;

}

td.oddoverbright {
  color: black;
  background-color: #ffff00;
  padding-left: 2px;

  
  border-style: solid;
  border-color: #adaa9c white white #adaa9c;
  border-width: 1px;
  border-spacing: 2px 2px;
  border-collapse: separate;

}

th.even {
  color: white;
  background-color: #2222aa;
  padding-left: 2px;
  text-align: left;

  
  border-style: solid;
  border-color: #adaa9c white white #adaa9c;
  border-width: 1px;
  border-spacing: 2px 2px;
  border-collapse: separate;

}

th.evenover {
  color: black;
  background-color: #ffff00;
  padding-left: 2px;
  text-align: left;

  
  border-style: solid;
  border-color: #adaa9c white white #adaa9c;
  border-width: 1px;
  border-spacing: 2px 2px;
  border-collapse: separate;

}

th.odd {
  color: white;
  background-color: #111188;
  padding-left: 2px;
  text-align: left;

  
  border-style: solid;
  border-color: #adaa9c white white #adaa9c;
  border-width: 1px;
  border-spacing: 2px 2px;
  border-collapse: separate;

}

th.oddover {
  color: black;
  background-color: #ffff00;
  padding-left: 2px;
  text-align: left;

  
  border-style: solid;
  border-color: #adaa9c white white #adaa9c;
  border-width: 1px;
  border-spacing: 2px 2px;
  border-collapse: separate;

}

/* Begin: NST Dir Browser styles... */
.tablebrowser {
  border-style: solid;
  border-width: 1px;
  border-color: #6fbad2;
}

th.evenbrowser {
  color: white;
  background-color: #2222aa;
  border-style: solid;
  border-width: 1px;
  border-color: #6fbad2;
}

th.oddbrowser {
  color: white;
  background-color: #111188;
  border-style: solid;
  border-width: 1px;
  border-color: #6fbad2;
}

td.evenbrowser {
  color: black;
  border-style: solid;
  border-width: 1px;
  border-color: #6fbad2;
}

td.oddbrowser {
  color: black;
  border-style: solid;
  border-width: 1px;
  border-color: #6fbad2; 
}
/* End: NST Dir Browser styles... */

/* Tweaks for NST Version tables */
th.version {
  color: #f5f5dc;
  background-color: #111188;
  width: 4cm;
}

td.version {
  color: black;
  width: 8cm;
  text-indent: 2pt;
  font-family: monospace;

  
  border-style: solid;
  border-color: #adaa9c white white #adaa9c;
  border-width: 1px;
  border-spacing: 2px 2px;
  border-collapse: separate;

}

b.monospace {
  font-family: monospace;
  font-weight: bold;
}

pre.screen {
  overflow: auto;
  font-family: monospace;
  color: #33FF33;
  background-color: black;
  text-align: left;
  line-height: normal;
  border-style: solid;
  border-color: #a9a9a9;

  margin-top: .2em;
  border-top-width: 4px;
  padding-top: 1%;
  height: auto;
  padding-bottom: 1%;
  border-bottom-width: 4px;
  margin-bottom: .2em;

  margin-left: .3em;
  border-left-width: 4px;
  padding-left: 1%;
  width: auto;
  padding-right: 1%;
  border-right-width: 4px;
  margin-right: .3em;
}

pre.programlisting {
  color: black;
  background-color: white;
  background-image: url(../images/computer_paper.png);

  font-family: monospace;

  text-align: left;
  border-style: solid;
  border-color: #a9a9a9;

  margin-top: .2em;
  border-top-width: 4px;
  padding-top: 1%;
  height: auto;
  padding-bottom: 1%;
  border-bottom-width: 4px;
  margin-bottom: .2em;

  margin-left: .3em;
  border-left-width: 4px;
  padding-left: 1%;
  width: auto;
  padding-right: 1%;
  border-right-width: 4px;
  margin-right: .3em;
}

pre.screen b {
  color: yellow;
}

textarea.screen {
  overflow: auto;
  font-family: monospace;
  
  color: #33FF33;
  background-color: black;
  width: 96%;
  text-align: left;
  border-style: solid;
  border-color: #a9a9a9;
  border-width: 4px;
  margin-top: 6px;
  margin-bottom: 6px;
  margin-left: auto;
  margin-right: auto;
  padding: 1%;

}

.note {
  color: black;
  background-color: #6fbad2;
  margin: 0px;
  padding: 4px;
}

.inputnote {
  font-size: 85%;
  color: black;
  background-color: #6fbad2;
  margin: 0px;
  padding: 4px;
}

.inputnotelist {
  list-style-type: disc;
  margin-bottom: 0px;
}

.centerBlock {
  text-align: center;
  width: 100%;
}

.noteMessage {
  
  color: black;
  background-color: #6fbad2;
  width: 96%;
  text-align: left;
  border-style: solid;
  border-color: #a9a9a9;
  border-width: 4px;
  margin-top: 6px;
  margin-bottom: 6px;
  margin-left: auto;
  margin-right: auto;
  padding: 1%;

}

.caution {
  
  color: black;
  background-color: yellow;
  width: 96%;
  text-align: left;
  border-style: solid;
  border-color: #a9a9a9;
  border-width: 4px;
  margin-top: 6px;
  margin-bottom: 6px;
  margin-left: auto;
  margin-right: auto;
  padding: 1%;

}

.warning {
  
  color: black;
  background-color: red;
  width: 96%;
  text-align: left;
  border-style: solid;
  border-color: #a9a9a9;
  border-width: 4px;
  margin-top: 6px;
  margin-bottom: 6px;
  margin-left: auto;
  margin-right: auto;
  padding: 1%;

}

/* For <a> in navigation links */
.navLinkA {
  vertical-align: bottom;
  border-style: none;
}

/* For <img> in navigation links */
.navLinkImg {
  margin-left: 4px;
  margin-bottom: 2px;
  vertical-align: bottom;
  border-style: none;
  opacity: 1.0;
}

.navLinkImg:hover {
  opacity: 0.6;
}

/* For icon images */
.userIcon {
  margin-left: 4px;
  vertical-align: baseline;
  border-style: none;
  opacity: 1.0;
}

.userIcon:hover {
  opacity: 0.6;
}

/* For wrapping small icon links. */
a.icon, a.icon:hover, a.icon:visited {
  text-decoration: none;
  margin: 0px;
  border-style: none;
  padding: 0px;
  opacity: 1.0;
}

.icon:hover {
  opacity: 0.6;
}

img.footerIcon {
  padding: 0;
  margin: 0;
  cursor: pointer;
  border-style: none;

  margin-left: 2px;
  margin-right: 2px;
  opacity: 1.0;
}

.footerIcon:hover {
  opacity: 0.6;
}

/* Image and Text Hovering... */
img.imageHover, span.textHover, div.textHover, a.textHover {
  opacity: 1.0;
}

span.textHover:hover, div.textHover:hover, a.textHover:hover {
  opacity: 0.6;
}

img.imageHover:hover {
  opacity: 0.6;
/*
 *   filter: contrast(1.4);
 *   -o-filter: contrast(1.4);
 *   -ms-filter: contrast(1.4);
 *   -moz-filter: contrast(1.4);
 *   -webkit-filter: contrast(1.4);
 */
}

span.textHoverBright:hover {
  color: white;
}

/* Start: NST WUI Specific Styles (all names should start with wui) */

/* For form submission buttons <input  class="wuiInputButton" type="submit"
     style="display: inline;" /> */
.wuiInputButton, button.NstButtonFactory {
  display: block;
  font-family: "Trebuchet MS", Tahoma, "Liberation Sans", sans-serif;
  font-weight: bold;
  font-size: 75%;
  color: #aaaa11;
  background-color: #003366;
  margin: 0;

  border-style: solid;
  border-left-width: 3px;
  border-left-color: #1A588F;
  border-top-width: 3px;
  border-top-color: #658cb2;
  border-right-width: 3px;
  border-right-color: #001937;
  border-bottom-width: 3px;
  border-bottom-color: #00203f;
}

.wuiInputButton:hover, button.NstButtonFactory:hover {
  color: white;
  background-color: #003366;
  text-decoration: none;
  font-family: "Trebuchet MS", Tahoma, "Liberation Sans", sans-serif;
  font-weight: bold;
  font-size: 75%;

  border-style: solid;
  border-left-width: 3px;
  border-left-color: #4c85af;
  border-top-width: 3px;
  border-top-color: #a7c5df;
  border-right-width: 3px;
  border-right-color: #14446f;
  border-bottom-width: 3px;
  border-bottom-color: #1f527f;
}

/* 2006-10-18 pkb : For whatever reason, this seems to fix the
   font-weight issue in firefox. */

a.wuiInputButton {
  font-weight: bold;
  padding-left: 4px;
  padding-right: 4px;
  padding-top: 1px;
  padding-bottom: 1px;
}

.wuiInputButton:active, button.NstButtonFactory:active {
  text-decoration: none;
}

:active input.wuiInputButton, :active button.NstButtonFactory {
  text-decoration: none;
}

a#button {
  text-decoration: none;
  outline: none;
}

/* For form text fields <div  class="wuiInputTextXhtml"><input  class="wuiInputTextXhtml"
   type="text"
  
  
    
  
  
   /></div> and <textarea
   class="wuiInputText"
  
  
   rows="25"
   cols="80"></textarea> */
.wuiInputText {
  font-family: "Trebuchet MS", Tahoma, "Liberation Sans", sans-serif;
  font-size: 80%;
  width: 96%;

  border-style: solid;
  border-color: #adaa9c white white #adaa9c;
  border-width: 1px;

  margin: 0;
  padding-left: .2em;
  padding-right: .2em;
  padding-top: .05em;
  padding-bottom: .05em;

/* IE/Firefox do not support this CSS3 property yet!
  box-sizing: border-box;
*/
  /* Firefox does allow one to specify the box model. */
/*  -moz-box-sizing: border-box; */

}

/* For form radio buttons <input  class="wuiInputRadio"
   type="radio"
  
  
    
   /> */
.wuiInputRadio {
  padding: 0;
}

/* For form checkboxes <input  class="wuiInputCheckbox"
   type="checkbox"
  
  
    
   /> */
.wuiInputCheckbox {
  padding: 0;
}
/* For file upload area. */
.wuiInputFile {
  font-family: "Trebuchet MS", Tahoma, "Liberation Sans", sans-serif;
  font-size: 80%;
  width: 100%;
  border-color: #808080;
  border-width: 1px;
  border-style: inset;
  margin: 0;
  padding: 0;
}
 
/* Exception to rule as Ron did this first - use wuiButton */
select,input.submit {
  font-family: "Trebuchet MS", Tahoma, "Liberation Sans", sans-serif;
  font-size: 75%;
  font-weight: bold;
  display: block;
  color: #AAAA11;
  background-color: #003366;

  border-style: solid;
  border-left-width: 3px;
  border-left-color: #1A588F;
  border-top-width: 3px;
  border-top-color: #658cb2;
  border-right-width: 3px;
  border-right-color: #001937;
  border-bottom-width: 3px;
  border-bottom-color: #00203f;
}

select:hover {
  font-family: "Trebuchet MS", Tahoma, "Liberation Sans", sans-serif;
  font-weight: bold;
  font-size: 75%;
  color: white;
  background-color: #003366;

  border-style: solid;
  border-left-width: 3px;
  border-left-color: #4c85af;
  border-top-width: 3px;
  border-top-color: #a7c5df;
  border-right-width: 3px;
  border-right-color: #14446f;
  border-bottom-width: 3px;
  border-bottom-color: #1f527f;
}

/* Used in inline spans when showing result counts. */
.wuiResultCountGood {
  color: green;
  font-weight: bold;
}

.wuiResultCountBad {
  color: red;
  font-weight: bold;
}

.wuiResultCountWBad {
  color: white;
  background-color: red;
  font-weight: bold;
}

.wuiInputRadioText {
  font-size: 75%;
  font-weight: bold;
  color: green;
  margin: 0;
  vertical-align: text-bottom;
}

.capDirTableLink {
 font-size: 80%;
 font-weight: bold;
 margin: 0;
}

.actionButton {
  font-family: "Trebuchet MS", Tahoma, "Liberation Sans", sans-serif;
  font-weight: bold;
  font-size: 8pt;
  width: 20pt;
  color: #AAAA11;
  margin-top: 0;
  margin-bottom: 0;
  margin-left: 1pt;
  margin-right: 1pt;
  padding-top: 0;
  padding-bottom: 0;
  padding-left: 1pt;
  padding-right: 1pt;
  background-color: #003366;

  border-style: solid;
  border-left-width: 3px;
  border-left-color: #1A588F;
  border-top-width: 3px;
  border-top-color: #658cb2;
  border-right-width: 3px;
  border-right-color: #001937;
  border-bottom-width: 3px;
  border-bottom-color: #00203f;

  text-decoration: none;
  text-align: center
}

.actionButton:hover {
  font-family: "Trebuchet MS", Tahoma, "Liberation Sans", sans-serif;
  font-weight: bold;
  font-size: 8pt;
  color: white;
  background-color: #003366;
  text-decoration: none;

  border-style: solid;
  border-left-width: 3px;
  border-left-color: #4c85af;
  border-top-width: 3px;
  border-top-color: #a7c5df;
  border-right-width: 3px;
  border-right-color: #14446f;
  border-bottom-width: 3px;
  border-bottom-color: #1f527f;
}

.wuiFileLink {
  color: #111188;
  font-weight: bold;
  text-decoration: none;
}

a.wuiFileLink:visited {
  text-decoration: none;
  font-weight: bold;
}

a.wuiFileLink:hover {
  color: #2222bb;
  font-weight: bold;
  text-decoration: underline;
}

table.phpCodeListing {
  width: 95%;

  color: #000000;
  background-color: #ffffff;

  font-size: 100%;

  
  border-style: solid;
  border-color: white #adaa9c #adaa9c white;
  border-width: 1px;
  border-spacing: 2px 2px;
  border-collapse: separate;

}

td.phpCodeLineNumbers {
  color: #000000;
  background-color: #eeeeff;

  text-align: right;
  padding-left: .1cm;
  padding-right: .1cm;

  
  border-style: solid;
  border-color: #adaa9c white white #adaa9c;
  border-width: 1px;
  border-spacing: 2px 2px;
  border-collapse: separate;

}

td.phpCodeListing {
  color: #000000;
  background-color: #ffffff;

  text-align: left;
  padding-left: .2cm;
  padding-right: .2cm;

  
  border-style: solid;
  border-color: #adaa9c white white #adaa9c;
  border-width: 1px;
  border-spacing: 2px 2px;
  border-collapse: separate;

}

/* Superscript flagged text (noting missing, required, important fields) */

.flaggedText {
  color: red;
  vertical-align: top;
  font-size: 80%;
}

/* .filterLabel and .filterInput (for directory browser wildcard filters) */

.filterFieldLabel {
  font-size: 10pt;  
  font-weight: bold;
  color: green;
  margin: 0;
  vertical-align: 3px;
  text-align: right;
  margin-left: 2em;
}

.filterFieldInput {
  font-family: "Trebuchet MS", Tahoma, "Liberation Sans", sans-serif;
  font-size: 9pt;
  margin: 0;

  vertical-align: 3px;

  padding-top: 0px;
  padding-bottom: 0px;
  padding-left: 2px;
  padding-right: 2px;

}

/* .labeledFieldLabel and .labelFieldField are used when you want
   to put a label to the left a input field */

.labeledFieldLabel {
  font-size: 85%;  
  font-weight: bold;
  color: green;
  margin: 0;
  vertical-align: baseline;
  text-align: right;
  padding-right: .2em;
}

.labeledFieldField {
  margin: 0;
  vertical-align: baseline;
  padding-bottom: 2px;
}

/* .labeledFieldLabelRight .labelFieldFieldRight are used when you want
   to put a label to the right a input field */

.labeledFieldLabelRight {
  font-size: 85%;  
  font-weight: bold;
  color: green;
  margin: 0;
  vertical-align: baseline;
  text-align: left;
  padding-left: .2em;
}

.labeledFieldFieldRight {
  margin: 0;
  vertical-align: baseline;
  text-align: right;
}

table.labeledRow {
  margin-top: 0.5em;
  margin-bottom: 0.5em;
  padding: 0px;

  
  border-style: solid;
  border-color: white #adaa9c #adaa9c white;
  border-width: 1px;
  border-spacing: 2px 2px;
  border-collapse: separate;

}

th.labeledRow {
  text-align: left;
  color: #f5f5dc;
  background-color: #111188;
  padding-right: .2em;
  padding-left: .2em;

  
  border-style: solid;
  border-color: #adaa9c white white #adaa9c;
  border-width: 1px;
  border-spacing: 2px 2px;
  border-collapse: separate;

}

td.labeledRow {
  text-align: left;
  color: black;
  background-color: #e0e0e0;
  padding-top: 4px;
  padding-bottom: 4px;
  padding-left: 2px;
  padding-right: 2px;

  
  border-style: solid;
  border-color: #adaa9c white white #adaa9c;
  border-width: 1px;
  border-spacing: 2px 2px;
  border-collapse: separate;

}

/* For a table containing only a row of buttons. */

table.buttonRow {

}

tr.buttonRow {

}

td.buttonRow {

}

/* Text formatting for different object types. */

.acronymLink {
  font-weight: bold;
}

.manPageLink {
  font-weight: bold;
}

.fileNameFormat {
  font-weight: bold;
}

/* For formatting deprecated/disabled packages. */

span.deprecatedPkg {
  color: #3f0000;

  text-decoration: line-through;
  
}

/* Format external application links which might appear in the text body. */

a.appExtRef {
  color: #111188;
  font-weight: bold;
  text-decoration: none;
}

a.appExtRef:VISITED {
  font-weight: bold;
  text-decoration: none;
}

a.appExtRef:HOVER {
  color: #0000ff;
  font-weight: bold;
  text-decoration: none;
}

a.appExtRef:ACTIVE {
  font-weight: bold;
  text-decoration: none;
}

/* Format on-line documentation links which might appear in the text body. */

a.documentRef {
  color: #111188;
  font-weight: bold;
  font-style: oblique;
  text-decoration: none;
}

a.documentRef:VISITED {
  font-weight: bold;
  font-style: oblique;
  text-decoration: none;
}

a.documentRef:HOVER {
  color: #0000ff;
  font-weight: bold;
  font-style: oblique;
  text-decoration: none;
}

a.documentRef:ACTIVE {
  font-weight: bold;
  font-style: oblique;
  text-decoration: none;
}

/* Format for references to NST scripts. */

a.nstScript {
  color: #111188;
  font-weight: bold;
  text-decoration: underline;
}

a.nstScript:VISITED {
  font-weight: bold;
  text-decoration: underline;
}

a.nstScript:HOVER {
  color: #0000ff;
  font-weight: bold;
  text-decoration: underline;
}

a.nstScript:ACTIVE {
  font-weight: bold;
  text-decoration: underline;
}

/* Format for text that you really want to stress the importance of. */

.stress {
  font-weight: bold;
  text-decoration: underline;
}

/* Format for text that refers to a command line argument (cla). */

.claRef {
  font-weight: bold;
}

/* Format for text that refers to user input fields within a single
row, or the entire row within a input table. */

.formFieldRef {
  font-weight: bold;
}

.formRowRef {
  font-weight: bold;
}

/* Indent block left, <div class="indentLeft">HTML TO INDENT</div> */

.indentLeft {
  margin-left: 2%;
}

.indent {
  margin-left: 1em;
  margin-right: 1em;
}

/* Styles for the "veritical gap" macros. */

.verticalGap {
  margin: 0px;
  border-width: 0px;
  padding: 0px;

  height: 1em;
  line-height: 1em;
/*
  border-style: solid;
  border-color: red;
  border-width: 1px;
*/
}

.verticalGapBig {
  margin: 0px;
  border-width: 0px;
  padding: 0px;

  height: 2em;
  line-height: 2em;
/*
  border-style: solid;
  border-color: red;
  border-width: 1px;
*/
}

.verticalGapSmall {
  margin: 0px;
  border-width: 0px;
  padding: 0px;

  height: 0.5em;
  line-height: 0.5em;
/*
  border-style: solid;
  border-color: red;
  border-width: 1px;
*/
}

/* WUI XSL output CSS */

table.xmlResults {
  font-size: 90%;

  color: #000000;
  background-color: #ffffff;

  border-style: solid;
  border-color: #a0a0a0;
  border-spacing: 0px;
  border-collapse: collapse;

  margin-top: .5em;
  border-top-width: 1px;
  padding-top: 0em;
  height: auto;
  padding-bottom: 0em;
  border-bottom-width: 1px;
  margin-bottom: .5em;

  margin-left: auto;
  border-left-width: 1px;
  padding-left: 0em;
  width: 99%;
  padding-right: 0em;
  border-right-width: 1px;
  margin-right: auto;

}

th.xmlResults {
  color: #f5f5dc;
  background-color: #111188;

  border-style: solid;
  border-color: #a0a0a0;

  margin-top: 0em;
  border-top-width: 1px;
  padding-top: 2pt;
  height: auto;
  padding-bottom: 2pt;
  border-bottom-width: 1px;
  margin-bottom: 0em;

  margin-left: 0em;
  border-left-width: 1px;
  padding-left: 2pt;
  width: auto;
  padding-right: 2pt;
  border-right-width: 1px;
  margin-right: 0em;
}

td.xmlResults {

  border-style: solid;
  border-color: #a0a0a0;

  margin-top: 0em;
  border-top-width: 1px;
  padding-top: 0em;
  height: auto;
  padding-bottom: 0em;
  border-bottom-width: 1px;
  margin-bottom: 0em;

  margin-left: 0em;
  border-left-width: 1px;
  padding-left: 2pt;
  width: auto;
  padding-right: 2pt;
  border-right-width: 1px;
  margin-right: 0em;

}

/* Style below banner bar on upper right side (see NST Directory browser). */

.upperRightPageLabel {
  text-align: right;
  font-size: 8pt;
  border-style: none;

  color: green;

  margin-top: 0em;
  border-top-width: 0px;
  padding-top: 0em;
  height: auto;
  padding-bottom: 0em;
  border-bottom-width: 0px;
  margin-bottom: 0em;

  margin-left: 0em;
  border-left-width: 0px;
  padding-left: 0pt;
  width: auto;
  padding-right: 0pt;
  border-right-width: 0px;
  margin-right: .3em;
}

img.w3cIcon {
  margin: 0px;
  padding: 2px;
  padding-right: 2px;
  padding-left: 7px;
  border-style: solid;
  border-width: 1px;
  border-color: white;
  background-color: #a0a0a0;
}

span.version {
  color: blue;
}

span.versionLabel {
  font-size: 70%;
}

/* A <dl> directly in the body of the document needs a bit of left margin. */

dl.body {
  margin-left: .2em;
}

/* Let's put the definition term in bold. */

dl.body dt {
  font-weight: bold;
}

/* NST tweaks to the JavaScript console CSS */

div.consoleFooter {
  margin-top: 4px;
  margin-left: auto;
  margin-right: auto;		
}

.consoleSeparator {
  text-align: left;
  color: inherit;
  border-color: #a9a9a9;
  border-style: solid;
  border-top-width: 0px;
  border-right-width: 0px;
  border-bottom-width: 1px;
  border-left-width: 0px;
  margin: 0px;
  padding: 0px;
}

/* Source file viewers */

span.sourceFile, span.kernelSource {
  cursor: pointer;
  font-weight: bold;
  color: #111188;
}

.ipToMap {
  cursor: pointer;
  font-weight: bold;
  text-decoration: underline;
}

/* NstFieldSetFactory DOM object styles. */

legend.NstFieldSetFactory {
  padding: .25em;
/*  padding-left: .5em;
  padding-right: .5em; */
  font-weight: bold;
  color: black;
/*  background-color: #6fbad2;
  background-color: white; */
  background-color: #ffff99;
  border-color: black;
  border-style: solid;
  border-width: 1px;
}

fieldset.NstFieldSetFactory {
  
  color: black;
  background-color: #6fbad2;
  width: 96%;
  text-align: left;
  border-style: solid;
  border-color: #a9a9a9;
  border-width: 4px;
  margin-top: 6px;
  margin-bottom: 6px;
  margin-left: auto;
  margin-right: auto;
  padding: 1%;

}

input.NstInputFactory {
  /* Hack/guess at getting input areas to come out reasonable. */
  width: 99%;
  margin-left: .25%;
}

/* Note, most of this is defined way above. */
button.NstButtonFactory {
  margin: 1px;
  display: inline;
}

button.NstButtonFactory:active {
  text-decoration: none;
}

:active button.NstButtonFactory {
  text-decoration: none;
}

span.NstButtonFactory {
}

.SmallMonospace {
  font-family: monospace;
  font-weight: bold;
  font-size: 80%;
}

/* Progress styles. */

/* Area for display progress viewer widget. */

div .progressViewer {
}

/* Display of text message from last progress update request
   1 = Waiting,
   2 = Success,
   3 = Failure. */

div .progressMessage1, div .progressMessage2, div .progressMessage3,
div .progressDuration, div .progressTime {
  color: inherit;
  font-family: monospace;
  font-size: 90%;
  font-weight: bold;
  width: 825px;
  margin: 0.00em;
  padding: 0.10em;
  border-style: none;
  border-width: 1px;
  border-color: black;
}

div .progressMessage1 {
  color: black;
  background-color: #3898B8;
}

div .progressMessage2 {
  color: white;
  background-color: green;
}

div .progressMessage3 {
  color: white;
  background-color: red;
}

div .progressButtonBar {
  text-align: center;
  margin-left: auto;
  margin-right: auto;
  margin-top: 0.20em;
  margin-bottom: 0.20em;
}

div .progressLedBar {
  color: inherit;
  margin: 0px;
  margin-right: auto;
  padding: 0px;
  border-style: none;
  border-width: 1px;
  border-color: black;
  width: 825px;
  height: 80px;
}

img .progressLed {
  display: inline;
  margin: 0px;
  padding: 0px;
  border-style: none;
  width: 75px;
  height: 80px;
}

th.progressEven, th.progressOdd {
  color: #f5f5dc;
  background-color: #111188;
  text-align: left;
  padding-right: .2em;
  padding-left: .2em;
  
  border-style: solid;
  border-color: #adaa9c white white #adaa9c;
  border-width: 1px;
  border-spacing: 2px 2px;
  border-collapse: separate;

}

td.progressEven, td.progressOdd {
  color: black;
  background-color: white;
  text-align: left;
  padding-top: 4px;
  padding-bottom: 4px;
  padding-left: 2px;
  padding-right: 2px;
  
  border-style: solid;
  border-color: #adaa9c white white #adaa9c;
  border-width: 1px;
  border-spacing: 2px 2px;
  border-collapse: separate;

}

td.progressOdd {
  color: black;
  background-color: #e0e0e0;
}

iframe.hidden {
  display: none;

  width: 90%;
  height: 20em;
  margin-left: auto;
  margin-right: auto;
}

input.valid {
  color: #000000;
  background-color: #e0ffe0;
  font-weight: normal;
}

input.invalid {
  color: #a00000;
  background-color: #ffe0e0;
  /* NOTE: Keep text same size as "valid" area or it looks funny when
     transitioning between good/bad state. */
  font-weight: normal;
}

div.NstChoiceMain {
}

div.NstChoice {
  display: inline;
  vertical-align: text-bottom;

  margin: 0;
  margin-right: 2em;

  font-weight: bold;
  color: green;
}

/* Areas with an embedded YouTube video. */

div.YouTubeArea {
  display: block;
  margin-top: .25em;
  margin-left: auto;
  margin-right: auto;
  margin-bottom: .25em;
}

/* Feature matrix area (created by NstHtml.createFeatureMatrix() function. */

#geoMatrixArea {
  margin-top: .5em;
}

#screenShotMatrixArea {
  margin-top: .5em;
}

div.featureMatrix {
  margin-left: auto;
  margin-right: auto;
  position: relative;
}

div.featureMatrixCell {
  position: absolute;
  cursor: pointer;
}

img.featureMatrixCellImg {
  margin-left: auto;
  margin-right: auto;
}

img.featureMatrixCellImg:hover {
  opacity: 0.6;
}

div.featureMatrixCellTitle {
  font-size: 14px;
  text-align: center;
}

/* Style for FontControl Javascript. */
button.fontSizeButton {
  background-color: #e0e0e0;
  color: inherit;
  cursor: pointer;
  outline: none;
  text-decoration: none;

  padding-top: 2px;
  padding-bottom: 2px;
  padding-left: 0px;
  padding-right: 0px;
  margin: 0px;

  border-width: 2px;
  border-style: outset;
  border-color: #f0f0f0;
}

button.fontSizeButtonDom {
  background-color: #e0e0e0;
  color: inherit;
  cursor: pointer;
  outline: none;
  text-decoration: none;

  height: 15px;
  width: 17px;

  padding: 0px;
  margin: 0px;
  border-width: 2px;

  position: absolute;
  top: 0px;

  border-width: 2px;
  border-style: outset;
  border-color: #f0f0f0;

  /* Override right in JavaScript */
  /*  right: 100px; */

  filter: progid:DXImageTransform.Microsoft.Alpha(opacity=40);
  -moz-opacity: .40;
  -khtml-opacity: .40;
  opacity: .40;
}

button.fontSizeButton:hover, button.fontSizeButtonDom:hover {
  background-color: white;

  filter: progid:DXImageTransform.Microsoft.Alpha(opacity=100);
  -moz-opacity: 1.0;
  -khtml-opacity: 1.0;
  opacity: 1.0;
}

img.fontSizeButtonDom {
  border: none;
  padding: 0px;
  margin: 0px;
}

div.fontControlOuter {
  position: relative;
  margin: 0px;
  padding: 0px;
  border-style: none;
  border-width: 0px;
}

div.fontControlBpOuter {
  position: absolute;
  margin: 0px;
  border: none;
  padding: 0px;
  height: 15px;
  font-size: 0px;
  line-height: 0px;
}

div.fontControlBpInner {
  position: relative;
  margin: 0px;
  border: none;
  padding: 0px;
  height: 15px;
}

/* End: NST WUI Specific Styles */
